DataSphere API v2, REST: Project.Execute
Executes code of the specified notebook using configuration defined in the project settings. If the default project configuration is not specified, c1.4 is used.
HTTP request
POST https://datasphere.api.cloud.yandex.net/datasphere/v2/projects/{projectId}:execute
Path parameters
|
Field |
Description |
|
projectId |
string Required field. ID of the project to execute notebook/cell in. The maximum string length in characters is 50. |
Body parameters
{
// Includes only one of the fields `notebookId`, `cellId`
"notebookId": "string",
"cellId": "string",
// end of the list of possible fields
"inputVariables": "object",
"outputVariableNames": [
"string"
],
"spec": "string",
"sparkConnectorId": "string"
}
|
Field |
Description |
|
notebookId |
string The path to the executable notebook in the project storage. The maximum string length is 200 characters. The maximum string length in characters is 200. Includes only one of the fields |
|
cellId |
string ID of the cell to execute. The maximum string length in characters is 200. Includes only one of the fields |
|
inputVariables |
object Values of input variables. Input variables will be available in the project as environment variables. |
|
outputVariableNames[] |
string Names of output variables. |
|
spec |
string Specification of the VM |
|
sparkConnectorId |
string ID of the Spark Connector The maximum string length in characters is 200. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |